
/* --- IntegralUI Accordion ----------------------------------------------- */

.iui-accordion-header
{
	background: -webkit-linear-gradient(#BFBFBF, #6F7878);
	background:    -moz-linear-gradient(#BFBFBF, #6F7878);
	background:     -ms-linear-gradient(#BFBFBF, #6F7878);
	background:      -o-linear-gradient(#BFBFBF, #6F7878);
    background :         linear-gradient(#BFBFBF, #6F7878);

	background-color: #555B5B;
	border: solid thin #555B5B;
}
.iui-accordion-header-hovered
{
	background: -webkit-linear-gradient(#D9D9D9, #A8A8A8);
	background:    -moz-linear-gradient(#D9D9D9, #A8A8A8);
	background:     -ms-linear-gradient(#D9D9D9, #A8A8A8);
	background:      -o-linear-gradient(#D9D9D9, #A8A8A8);
    background :         linear-gradient(#D9D9D9, #A8A8A8);

	background-color: #A8A8A8;
}
.iui-accordion-header-selected
{
	background: -webkit-linear-gradient(#6F7878, #14202A);
	background:    -moz-linear-gradient(#6F7878, #14202A);
	background:     -ms-linear-gradient(#6F7878, #14202A);
	background:      -o-linear-gradient(#6F7878, #14202A);
    background :         linear-gradient(#6F7878, #14202A);

	background-color: #14202A;
	border-color: #000000;
	color: white;
}

.iui-accordion-content
{
	background: -webkit-linear-gradient(white, #EEEEEE);
	background:    -moz-linear-gradient(white, #EEEEEE);
	background:     -ms-linear-gradient(white, #EEEEEE);
	background:      -o-linear-gradient(white, #EEEEEE);
    background :         linear-gradient(white, #EEEEEE);

	background-color: #EEEEEE;
	border: solid thin #555B5B;
}

.iui-accordion-expand-box
{
	background: url(../../resources/icons.png) no-repeat 0 0;
}
.iui-accordion-expand-box-expanded 
{
	background-position: -80px 0px;
}
.iui-accordion-expand-box-collapsed
{
	background-position: -96px 0px;
}

/* --- IntegralUI Menu ------------------------------------------------------ */

.iui-menu
{
	background-color: white;
    color: black;
}
.iui-menu > ul
{
	background-color: #14202A;
}
.iui-menu-item-root
{
	background: none;
	border: solid thin #14202A;
	color: white;
}
.iui-menu-item-root-hovered
{
	background: -webkit-linear-gradient(#EEEEEE, #6F7878);
	background:    -moz-linear-gradient(#EEEEEE, #6F7878);
	background:     -ms-linear-gradient(#EEEEEE, #6F7878);
	background:      -o-linear-gradient(#EEEEEE, #6F7878);
    background :         linear-gradient(#EEEEEE, #6F7878);

	background-color: #6F7878;
	border: solid thin #000000;
	color: black;
}
.iui-menu-item-root-hovered a
{
	color: black;
}
.iui-menu-item-hovered
{
	background: -webkit-linear-gradient(white, #EEEEEE);
	background:    -moz-linear-gradient(white, #EEEEEE);
	background:     -ms-linear-gradient(white, #EEEEEE);
	background:      -o-linear-gradient(white, #EEEEEE);
    background :         linear-gradient(white, #EEEEEE);

	background-color: #EEEEEE;
	border: solid thin #DDDDDD !important;
}
.iui-menu-item-selected
{
	background-color: white;
	border: solid thin gray;
}
.iui-menu-item-selected a
{
	color: black;
}
.iui-menu li > ul
{
	background-color: #fefefe;
	border: solid thin #000000;
}
.iui-menu-expand-box
{
	width: 16px;
	height: 16px;
	background: url(../resources/icons.png) no-repeat 0 0;
}
.iui-menu-item-normal
{
	background-color: #fefefe;
	border: solid thin #fefefe;
	color: black;
}
.iui-menu-marker-expand-down::before
{
	border: 4px solid #919191;
	border-color: #919191 transparent transparent transparent;
}
.iui-menu-marker-expand-down-rtl::before
{
	border: 4px solid #919191;
	border-color: #919191 transparent transparent transparent;
}
.iui-menu-marker-expand-right::before
{
	border: 4px solid #919191;
	border-color: transparent transparent transparent #919191;
}
.iui-menu-marker-expand-left::before
{
	border: 4px solid #919191;
	border-color: transparent #919191 transparent transparent;
}
.iui-menu-marker-top::before
{
	border: 4px solid #fefefe;
	border-color: transparent transparent #000000 transparent;
}
.iui-menu-marker-top::after
{
	border: 4px solid #fefefe;
	border-color: transparent transparent #fefefe transparent;
}
.iui-menu-marker-top-rtl::before
{
	border: 4px solid #fefefe;
	border-color: transparent transparent #000000 transparent;
}
.iui-menu-marker-top-rtl::after
{
	border: 4px solid #fefefe;
	border-color: transparent transparent #fefefe transparent;
}
.iui-menu-marker-left::before
{
	border: 4px solid #fefefe;
	border-color: transparent #000000 transparent transparent;
}
.iui-menu-marker-left::after
{
	border: 4px solid #fefefe;
	border-color: transparent #fefefe transparent transparent;
}
.iui-menu-marker-right::before
{
	border: 4px solid #fefefe;
	border-color: transparent transparent transparent #000000;
}
.iui-menu-marker-right::after
{
	border: 4px solid #fefefe;
	border-color: transparent transparent transparent #fefefe;
}

/* --- IntegralUI SlideBar -------------------------------------------------- */

.iui-slidebar-button
{
	background: url(../../resources/icons.png) no-repeat -144px 0;
}
.iui-slidebar-button-selected
{
	background: url(../../resources/icons.png) no-repeat -160px 0;
}

/* --- IntegralUI TabStrip ----------------------------------------------- */

.iui-tabstrip ul
{
}
.iui-tabstrip-tab-header
{
	background-color: #6F7878;
	border: solid thin #555B5B;
	border-bottom-color: gray;
	color: white;
}
.iui-tabstrip-tab-hovered
{
	background: -webkit-linear-gradient(white, #A8A8A8);
	background:    -moz-linear-gradient(white, #A8A8A8);
	background:     -ms-linear-gradient(white, #A8A8A8);
	background:      -o-linear-gradient(white, #A8A8A8);
    background :         linear-gradient(white, #A8A8A8);

	background-color: #A8A8A8;
	border: solid thin gray;
	color: black;
}
.iui-tabstrip-tab-selected
{
	background-color: white;
	border: solid thin gray;
	color: black;
}
.iui-tabstrip-tab-selected-top
{
	border-bottom-color: white;
}
.iui-tabstrip-tab-selected-right
{
	border-left-color: white;
}
.iui-tabstrip-tab-selected-bottom
{
	border-top-color: white;
}
.iui-tabstrip-tab-selected-left
{
	border-right-color: white;
}
.iui-tabstrip-tab-content
{
	background: white;
	border-color: gray;
}
.iui-tabstrip-tab-content-disabled
{
	background: #f5f5f5;
	color: gray;
}
.iui-tabstrip-nav-buttons span:hover
{
	background-color: white;
	border: thin solid gray;
	border-radius: 3px;
}

/* --- IntegralUI TreeGrid ----------------------------------------------- */
.iui-treegrid
{
	background-color: white;
	border-color: #dadada;
    color: black;
}
.iui-treegrid-header-hovered
{
	background: -webkit-linear-gradient(white, #bfbfbf);
	background:    -moz-linear-gradient(white, #bfbfbf);
	background:     -ms-linear-gradient(white, #bfbfbf);
	background:      -o-linear-gradient(white, #bfbfbf);
    background :         linear-gradient(white, #bfbfbf);

	background-color: #bfbfbf;
	border-color: #a1a1a1;
}
.iui-treegrid-header-selected
{
	background: -webkit-linear-gradient(#e5e5e5, #9f9f9f);
	background:    -moz-linear-gradient(#e5e5e5, #9f9f9f);
	background:     -ms-linear-gradient(#e5e5e5, #9f9f9f);
	background:      -o-linear-gradient(#e5e5e5, #9f9f9f);
    background :         linear-gradient(#e5e5e5, #9f9f9f);

	background-color: #9f9f9f;
	border-color: #898989;
}
.iui-treegrid-column-cell-selected
{
	background-color: #f9f9f9;
}
.iui-treegrid-row-hovered, .iui-treegrid-cell-hovered
{
	background: -webkit-linear-gradient(white, #ededed);
	background:    -moz-linear-gradient(white, #ededed);
	background:     -ms-linear-gradient(white, #ededed);
	background:      -o-linear-gradient(white, #ededed);
    background :         linear-gradient(white, #ededed);

	background-color: #ededed;
}

.iui-treegrid-row-selected, .iui-treegrid-cell-selected
{
	background: -webkit-linear-gradient(#f7f7f7, #d5d5d5);
	background:    -moz-linear-gradient(#f7f7f7, #d5d5d5);
	background:     -ms-linear-gradient(#f7f7f7, #d5d5d5);
	background:      -o-linear-gradient(#f7f7f7, #d5d5d5);
    background :         linear-gradient(#f7f7f7, #d5d5d5);

	background-color: #d5d5d5;
}
.iui-treegrid-cell:first-child
{
	border-left: thin solid #d5d5d5;
}
.iui-treegrid-cell:last-child
{
	border-right: thin solid #d5d5d5;
}
.iui-treegrid-lines-horizontal
{
	border-bottom: thin solid #d5d5d5;
}
.iui-treegrid-lines-vertical
{
	border-right: thin solid #d5d5d5;
}
.iui-treegrid-lines-both
{
	border-right: thin solid #d5d5d5;
	border-bottom: thin solid #d5d5d5;
}

/* --- IntegralUI TreeView ----------------------------------------------- */
.iui-treeview
{
	background-color: white;
	border-color: #cecece;
    color: black;
}
.iui-treeview-item-content
{
	display: inline-block;
	border: thin solid transparent;
	padding: 0px 3px;
}

.iui-treeview-item-content-hovered
{
	background: -webkit-linear-gradient(white, #E9E9E9);
	background:    -moz-linear-gradient(white, #E9E9E9);
	background:     -ms-linear-gradient(white, #E9E9E9);
	background:      -o-linear-gradient(white, #E9E9E9);
    background :         linear-gradient(white, #E9E9E9);

	background-color: #D9D9D9;
	border: thin solid #DEDEDE;
}

.iui-treeview-item-content-selected
{
	background: -webkit-linear-gradient(#E7E7E7, #BFBFBF);
	background:    -moz-linear-gradient(#E7E7E7, #BFBFBF);
	background:     -ms-linear-gradient(#E7E7E7, #BFBFBF);
	background:      -o-linear-gradient(#E7E7E7, #BFBFBF);
    background :         linear-gradient(#E7E7E7, #BFBFBF);

	background-color: #BFBFBF;
	border: thin solid #A5A5A5;
}